ActionController (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.ActionController,ActionController class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class ActionController

    java.lang.Object
      |
      +--org.apache.struts.tiles.ActionController

All Implemented Interfaces:
  Controller

public class ActionController
extends java.lang.Object
implements Controller

Struts wrapper implementation of Controller. This implementation allows to wrap a Struts Action in a Controller.

Field Summary
`private Action` | `action` Struts action wrapped.

Constructor Summary
`ActionController(Action action)` Constructor.

Method Summary
`void` | `perform(ComponentContext tileContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)` Method associated to a tile and called immediately before tile is included.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    private Action action

  Struts action wrapped.

Constructor Detail

### ActionController

    public ActionController(Action action)

  Constructor.

Parameters:
  `action` - Action to be wrapped.

Method Detail

### perform

    public void perform(ComponentContext tileContext,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        javax.servlet.ServletContext servletContext)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Method associated to a tile and called immediately before tile is included. This implementation calls a Struts Action. No servlet is set by this method.

  Specified by:
    `perform` in interface `Controller`
  Parameters:
    `tileContext` - Current tile context.
    `request` - Current request.
    `response` - Current response.
    `servletContext` - Current servlet context.
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation